<?php
/**
 * Description of ${name}
 *
 * @author ${user}
 */
class AuthenticationManager {

	const COOKIE_BASE		= "AUTHENTICATION";
	const COOKIE_TIMEOUT	= 3600;

	public static $erroMsg = "";

    static function is_logged_in() {
		global $wpdb;

		if (isset($_COOKIE[self::COOKIE_BASE][USER_ID]) && isset($_COOKIE[self::COOKIE_BASE][USER_KEY])) {

			$result = $wpdb->get_var(
					$wpdb->prepare("SELECT `id` FROM `$wpdb->bf_users`
						WHERE `id` = %d AND UNIX_TIMESTAMP(`last_login`) > %s AND `logged_in` = %d",
							$_COOKIE[self::COOKIE_BASE][USER_ID],
							time() - AuthenticationManager::COOKIE_TIMEOUT,
							$_COOKIE[self::COOKIE_BASE][USER_KEY]) );

			if ($result > 0) {
				return true;
			}
		}

		return false;
	}

	static function authenticate($email, $pass) {
		global $wpdb;

		$result = $wpdb->get_var( $wpdb->prepare("SELECT `id` FROM `$wpdb->bf_users` WHERE `email` = %s AND `status` = 'A' AND `password` = %s", $email, UserManager::encryptPass($pass)) );

		if ($result > 0) {
			$login_key = time();

			$wpdb->query( $wpdb->prepare("UPDATE `$wpdb->bf_users` SET `last_login` = NOW(), `logged_in` = %d", $login_key) );

			self::set_cookie($result, $login_key);
		} else {
			self::$erroMsg = __("Email o la password sbagliata.");

			return false;
		}

		return true;
	}

	private static function set_cookie($user_id, $login_key) {

		setcookie(self::COOKIE_BASE . "[USER_ID]", $user_id, time() + self::COOKIE_TIMEOUT, "/");
		setcookie(self::COOKIE_BASE . "[USER_KEY]", $login_key, time() + self::COOKIE_TIMEOUT, "/");

	}

	public static function un_authenticate() {

		setcookie(self::COOKIE_BASE . "[USER_ID]", "", 0, "/");
		setcookie(self::COOKIE_BASE . "[USER_KEY]", "", 0, "/");

		wp_redirect(home_url());
		exit;
	}


	public static function get_logged_user() {
		
		if (self::is_logged_in()) {
			return UserManager::get_user($_COOKIE[self::COOKIE_BASE][USER_ID]);
		} else
			return NULL;
	}

}
?>