<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <header class="entry-header">

       <?php if ( option::is_on( 'post_category' ) ) { ?><span class="cat-links"><?php the_category( ', ' ); ?></span><?php } ?>

        <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>


        <div class="post-meta">

            <?php if ( option::is_on( 'post_date' ) ) { ?>
                <time class="entry-date published updated" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>">
                    <?php echo get_the_date(); ?> <?php echo get_the_time(); ?>
                </time>
            <?php } ?>


            <?php if ( option::is_on( 'post_author' ) )  {

                printf( '<span class="entry-author vcard author">%1$s <a class="url fn n" href="%2$s">%3$s</a></span>',
                    __( 'by ', 'wpzoom' ),
                    esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
                    get_the_author()
                );

            } ?>

            <?php edit_post_link( __('Edit this post', 'wpzoom'), '<span class="separator">&middot;</span> ', '');

            if (option::get('post_views') == 'on') { ?><span class="views"><?php _e('Views', 'wpzoom'); ?>: <?php printf( get_post_meta( get_the_ID(), 'Views', true ) );  ?></span><?php }
            ?>

        </div>


    </header><!-- .entry-header -->

    <div class="clear"></div>

    <div class="entry-content">

        <?php if ( option::is_on('banner_before_post_enable')  ) { // Banner after post ?>

            <div class="adv_content">
            <?php
                if ( option::get('banner_before_post_html') <> "" ) {
                    echo stripslashes(option::get('banner_before_post_html'));
                } else {
                    ?><a href="<?php echo option::get('banner_before_post_url'); ?>"><img src="<?php echo option::get('banner_before_post'); ?>" alt="<?php echo option::get('banner_before_post_alt'); ?>" /></a><?php
                }

            ?></div><?php
        } ?>

        <?php the_content(); ?>

        <div class="clear"></div>

        <?php if ( option::is_on('banner_post_enable')  ) { // Banner after post ?>

            <div class="adv_content">
            <?php
                if ( option::get('banner_post_html') <> "" ) {
                    echo stripslashes(option::get('banner_post_html'));
                } else {
                    ?><a href="<?php echo option::get('banner_post_url'); ?>"><img src="<?php echo option::get('banner_post'); ?>" alt="<?php echo option::get('banner_post_alt'); ?>" /></a><?php
                }

            ?></div><?php
        } ?>

    </div><!-- .entry-content -->


    <footer class="entry-footer">

        <?php
            wp_link_pages( array(
                'before' => '<div class="page-links">' . __( 'Pages:', 'wpzoom' ),
                'after'  => '</div>',
            ) );
        ?>

        <?php if (option::get('post_tags') == 'on') { ?><?php the_tags( '<div class="tag_list">'. __('Tags:', 'wpzoom'). ' ',', ', '</div>'); ?><?php } ?>


        <?php if ( option::is_on( 'post_author_box' ) ) : ?>

            <div class="post_author vcard">

                <?php echo get_avatar( get_the_author_meta('ID') , 70 ); ?>

                <div class="author-description">

                    <?php printf( '<span>%1$s <a class="url fn n" href="%2$s">%3$s</a></span>',
                        __( 'Author: ', 'wpzoom' ),
                        esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
                        get_the_author()
                    );

                    the_author_meta( 'description' );
                    ?>

                </div>

                <div class="clear"></div>
            </div>

        <?php endif; ?>

    </footer><!-- .entry-footer -->

</article><!-- #post -->