<?php
/**
 * The template for displaying the footer
 *
 */

$widgets_areas = (int) get_theme_mod( 'footer-widget-areas', zoom_customizer_get_default_option_value( 'footer-widget-areas', tribune_customizer_data() ) );


$has_active_sidebar = false;
if ( $widgets_areas > 0 ) {
    $i = 1;

    while ( $i <= $widgets_areas ) {
        if ( is_active_sidebar( 'footer_' . $i ) ) {
            $has_active_sidebar = true;
            break;
        }

        $i++;
    }
}

?>

	<div class="clear"></div>

	<?php if ((option::get('bottomside_placement') == 'Homepage only' && is_home()) || option::get('bottomside_placement') == 'On all pages') {  ?>

		<?php if ( is_active_sidebar( 'footer-full' ) ) { // Full-width Footer Sidebar ?>
 			<div class="full-widget-area">

				<?php dynamic_sidebar('Footer (full-width)'); ?>

			</div>
			<div class="clear"></div>
		<?php } ?>


        <?php if ( $has_active_sidebar ) : ?>

            <div class="footer-widgets widgets widget-columns-<?php echo esc_attr( $widgets_areas ); ?>">

                <?php for ( $i = 1; $i <= $widgets_areas; $i ++ ) : ?>

                    <div class="column">
                        <?php dynamic_sidebar( 'footer_' . $i ); ?>
                    </div><!-- .column -->

                <?php endfor; ?>

                <div class="clear"></div>

            </div><!-- .footer-widgets -->


        <?php endif; ?>


	<?php } ?>


</div> <!-- /.page-wrap -->

<div class="clear"></div>

<div id="footer">

	<div class="footer-logo">

	    <h2><a href="<?php echo home_url(); ?>" title="<?php bloginfo( 'description' ); ?>"><?php bloginfo( 'name' );  ?></a></h2>

	</div>


    <?php if ( has_nav_menu( 'tertiary' ) ) { ?>

        <div class="footer-menu">
            <?php wp_nav_menu( array( 'sort_column' => 'menu_order', 'container_class' => 'menu-footer', 'theme_location' => 'tertiary', 'depth' => '1' ) ); ?>
        </div>

    <?php } ?>

	<div class="clear"></div>

	<div class="footer-info">

		<span class="copyright"><?php _e('Copyright', 'wpzoom') ?> &copy; <?php echo date("Y"); ?> <a href="<?php echo home_url(); ?>/" class="on"><?php bloginfo('name'); ?></a>. </span>
		<span class="designed"><?php _e('Designed by', 'wpzoom') ?> <a href="http://www.wpzoom.com" target="_blank" title="WPZOOM WordPress Themes">WPZOOM</a></span>
	</div>

	<div class="clear"></div>


</div> <!-- /#footer -->


<?php if ( ( option::get('featured_enable') == 'on' ) && $paged < 2 && is_home() ) {  ?>

    <script type="text/javascript">
    (function ($) {
        'use strict';

        var $document = $(document);
        var $window = $(window);
        var featured_flex;

        $window.ready(function() {

            $.fn.fp_stopDontMove = function() {
                $(fp_vimeoPlayers).each(function(i, el) {
                    if ($(el).attr('src') != '') {
                        $f(el).api('pause');
                    }
                });

                $(fp_youtubePlayers).each(function() {
                    if ($.isFunction(this.stopVideo)) {
                        this.stopVideo();
                    }
                });
            }

            featured_flex = jQuery('#slider #slidemain').flexslider({
                controlNav: true,
                directionNav: true,
                animationLoop: true,
                animation: 'slide',
                animationSpeed: 300,
                useCSS: false,
                video: true,
                touch: true,
                smoothHeight: true,
                <?php if ( option::get('featured_rotate') == 'on' ) { echo 'slideshowSpeed: ' . option::get('featured_interval') . ','; } ?>
                slideshow: <?php echo option::get('featured_rotate') == 'on' ? 'true' : 'false'; ?>,
                before: jQuery.fn.fp_stopDontMove
            });

        });

    })(jQuery);
    </script>

    <?php
    wp_enqueue_script( 'frogaloop', get_template_directory_uri() . '/js/frogaloop.js', array(), wpzoom::$themeVersion, true );
    wp_enqueue_script( 'youtube-api', 'https://www.youtube.com/player_api', array(), wpzoom::$themeVersion, true );
    ?>

<?php } ?>

<?php wp_footer(); ?>

</body>
</html>