<?php

function tribune_customizer_data() {
	static $data = array();

	if ( empty( $data ) ) {

		$media_viewport = 'screen and (min-width: 950px)';

		$data = array(
			'title_tagline'           => array(
				'title'    => __( 'Site Identity', 'wpzoom' ),
				'priority' => 20,
				'options'  => array(
					'hide-tagline'             => array(
						'setting' => array(
							'sanitize_callback' => 'absint',
							'default'           => true
						),
						'control' => array(
							'label'    => __( 'Show Tagline', 'wpzoom' ),
							'type'     => 'checkbox',
							'priority' => 11
						),
						'style'   => array(
							'selector' => '.navbar-brand .tagline',
							'rule'     => 'display'
						)
					),
					'custom_logo_retina_ready' => array(
						'setting' => array(
							'sanitize_callback' => 'absint',
							'default'           => false,
						),
						'control' => array(
							'label'    => __( 'Retina Ready?', 'wpzoom' ),
							'type'     => 'checkbox',
							'priority' => 9
						),
						'partial' => array(
							'selector'            => '.navbar-brand a',
							'container_inclusive' => false,
							'render_callback'     => 'tribune_custom_logo'
						)
					),
					'blogname'                 => array(
						'setting' => array(
							'sanitize_callback' => 'sanitize_text_field',
							'default'           => get_option( 'blogname' ),
							'transport'         => 'postMessage',
							'type'              => 'option'
						),
						'control' => array(
							'label'    => __( 'Site Title', 'wpzoom' ),
							'type'     => 'text',
							'priority' => 9
						),
						'partial' => array(
							'selector'            => '.navbar-brand a',
							'container_inclusive' => false,
							'render_callback'     => 'zoom_customizer_partial_blogname'
						)
					),
					'blogdescription'          => array(
						'setting' => array(
							'sanitize_callback' => 'sanitize_text_field',
							'default'           => get_option( 'blogdescription' ),
							'transport'         => 'postMessage',
							'type'              => 'option'
						),
						'control' => array(
							'label'    => __( 'Tagline', 'wpzoom' ),
							'type'     => 'text',
							'priority' => 10
						),
						'partial' => array(
							'selector'            => '.navbar-brand .tagline',
							'container_inclusive' => false,
							'render_callback'     => 'zoom_customizer_partial_blogdescription'
						)
					),
					'custom_logo'              => array(
						'partial' => array(
							'selector'            => '.navbar-brand a',
							'container_inclusive' => false,
							'render_callback'     => 'tribune_custom_logo'
						)
					)
				)
			),
			'search'                  => array(
				'title'    => __( 'Header', 'wpzoom' ),
				'priority' => 50,
				'options'  => array(
					'navbar-hide-search' => array(
						'setting' => array(
							'sanitize_callback' => 'sanitize_text_field',
							'default'           => 'block'
						),
						'control' => array(
							'label' => __( 'Show Search Field', 'wpzoom' ),
							'type'  => 'checkbox',
						),
						'style'   => array(
							'selector' => '.sb-search',
							'rule'     => 'display'
						)
					),
					'navbar-hide-date' => array(
						'setting' => array(
							'sanitize_callback' => 'sanitize_text_field',
							'default'           => 'block'
						),
						'control' => array(
							'label' => __( 'Show Date below the Logo', 'wpzoom' ),
							'type'  => 'checkbox',
						),
						'style'   => array(
							'selector' => '.navbar-brand .header_date',
							'rule'     => 'display'
						)
					),
				)
			),
			'color'                   => array(
				'title'      => __( 'General', 'wpzoom' ),
				'panel'      => 'color-scheme',
				'priority'   => 110,
				'capability' => 'edit_theme_options',
				'options'    => array(
					'color-background' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Background Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => 'body',
							'rule'     => 'background'
						)
					),
					'color-body-text'  => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#252324'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Body Text', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => 'body, h1, h2, h3, h4, h5, h6',
							'rule'     => 'color'
						)
					),
					'color-logo'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#222222'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Logo Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.navbar-brand a, #footer .footer-logo a',
							'rule'     => 'color'
						),
					),
					'color-logo-hover' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#444444'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Logo Color on Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.navbar-brand a:hover, #footer .footer-logo a:hover',
							'rule'     => 'color'
						)
					),
					'color-link'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#093969'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Link Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => 'a,.comment-author .fn, .comment-author .fn a, .zoom-twitter-widget a, .woocommerce-pagination .page-numbers, .paging-navigation .page-numbers, .page .post_author a, .single .post_author a, .comment-author a.comment-reply-link, .comment-author a.comment-edit-link',
							'rule'     => 'color'
						)
					),
					'color-link-hover' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#B02B33'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Link Color on Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => 'a:hover, .zoom-twitter-widget a:hover, .woocommerce-pagination .page-numbers.current, .woocommerce-pagination .page-numbers:hover, .paging-navigation .page-numbers.current, .paging-navigation .page-numbers:hover, .entry-thumbnail-popover-content h3:hover, .comment-author .fn a:hover, .page .post_author a:hover, .single .post_author a:hover',
							'rule'     => 'color'
						),
					),

					'color-post-readmore-background'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Buttons Background Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.readmore_button a, .infinite-scroll #infinite-handle span, button, input[type=button], input[type=reset], input[type=submit]',
							'rule'     => 'background'
						)
					),
					'color-post-readmore-background-hover' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Buttons Background Color on Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.readmore_button a:hover, .infinite-scroll #infinite-handle span:hover, button:hover, input[type=button]:hover, input[type=reset]:hover, input[type=submit]:hover',
							'rule'     => 'background'
						)
					),
					'color-post-readmore-link'             => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#000000'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Buttons Text Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.readmore_button a, .infinite-scroll #infinite-handle span, button, input[type=button], input[type=reset], input[type=submit]',
							'rule'     => 'color'
						)
					),
					'color-post-readmore-link-hover'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#D31515'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Buttons Text Color on Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.readmore_button a:hover, .infinite-scroll #infinite-handle span:hover, button:hover, input[type=button]:hover, input[type=reset]:hover, input[type=submit]:hover',
							'rule'     => 'color'
						)
					),
					'color-post-readmore-link-border'             => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#aaaaaa'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Buttons Border Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.readmore_button a, .readmore_button a:after, .infinite-scroll #infinite-handle span, button, input[type=button], input[type=reset], input[type=submit]',
							'rule'     => 'border-color'
						)
					),
					'color-post-readmore-link-hover-border'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#aaaaaa'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Buttons Border Color on Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.readmore_button a:hover, .readmore_button a:hover::after, .infinite-scroll #infinite-handle span:hover, button:hover, input[type=button]:hover, input[type=reset]:hover, input[type=submit]:hover',
							'rule'     => 'border-color'
						)
					),

				),

			),
			'color-top-menu'          => array(
				'panel'   => 'color-scheme',
				'title'   => __( 'Top Menu', 'wpzoom' ),
				'options' => array(
					'color-top-menu-link'           => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#222222'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Menu Item', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.top-navbar a',
							'rule'     => 'color'
						)
					),
					'color-top-menu-link-hover'     => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#222222'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Menu Item Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.top-navbar a:hover',
							'rule'     => 'color'
						)
					),
					'color-top-menu-link-current'   => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#B02B33'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Menu Current Item', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.top-navbar .navbar-nav .current-menu-item a, .top-navbar .navbar-nav .current_page_item a, .top-navbar .navbar-nav .current-menu-parent a, .top-navbar .navbar-nav .current_page_parent a',
							'rule'     => 'color'
						)
					),
					'color-top-menu-border-color'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#eeeeee'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Menu Border Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.top-navbar',
							'rule'     => 'border-bottom-color'
						)
					)
				)
			),
			'color-main-menu'         => array(
				'panel'   => 'color-scheme',
				'title'   => __( 'Main Menu', 'wpzoom' ),
				'options' => array(
					'color-menu-background' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport' => 'postMessage',
							'default' => '#093969'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label' => __('Menu Background', 'wpzoom'),
						),
						'style' => array(
							'selector' => '.main-navbar',
							'rule' => 'background'
						)
					),
					'color-menu-link'           => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Menu Item', 'wpzoom' ),
						),
						'style'   => array(
							'id'       => 'color-menu-link',
							'selector' => '.main-navbar #navbar-main a',
							'rule'     => 'color'
						)
					),
					'color-menu-link-hover'     => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#849cb4'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Menu Item Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.main-navbar #navbar-main a:hover',
							'rule'     => 'color'
						)
					),
					'color-menu-link-current'   => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Menu Current Item', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.navbar-nav .current-menu-item a, .navbar-nav .current_page_item a, .navbar-nav .current-menu-parent a, .navbar-nav .current_page_parent a',
							'rule'     => 'color'
						)
					),
					'color-menu-dropdown'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Dropdown Menu Background', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.navbar-nav ul',
							'rule'     => 'background'
						)
					),
					'color-menu-dropdown-hover'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#f2f2f2'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Dropdown Menu Hover Link Background', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.main-navbar .navbar-nav ul li a:hover',
							'rule'     => 'background-color'
						)
					),
					'color-menu-dropdown-arrow' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Dropdown Menu Arrow', 'wpzoom' ),
						),
						'style'   => array(
							array(
								'selector' => '.navbar-nav ul',
								'rule'     => 'border-top-color'
							),
							array(
								'selector' => '.navbar-nav > li > ul:before',
								'rule'     => 'border-bottom-color'
							)
						)
					)
				)
			),
			'breaking-news' =>array(
				'panel'   => 'color-scheme',
				'title'   => __( 'Breaking News Bar', 'wpzoom' ),
				'options' => array(
					'breaking-background'           => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#fcfbe3'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Background', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#news-ticker',
							'rule'     => 'background'
						)
					),
					'breaking-border'     => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#d7d1bc'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Border Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#news-ticker',
							'rule'     => 'border-color'
						)
					),
					'breaking-date'            => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#B02B33'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Date Background', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#news-ticker dt',
							'rule'     => 'background'
						)
					),
					'breaking-date-text'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Date Text Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#news-ticker dt',
							'rule'     => 'color'
						)
					),
					'breaking-link' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#534a37'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Link Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#news-ticker dd a',
							'rule'     => 'color'
						)
					),
					'breaking-link-hover' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#B02B33'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Link Color on Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#news-ticker dd a:hover',
							'rule'     => 'color'
						)
					)
				)
			),
			'featured-slider' =>array(
				'panel'   => 'color-scheme',
				'title'   => __( 'Featured Slider', 'wpzoom' ),
				'options' => array(
					'slider-navigator'           => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#B02B33'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Slider Navigation Background', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.flex-control-nav',
							'rule'     => 'background'
						)
					),
					'slider-post-link'     => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#222222'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Title Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#slider #slidemain .slide_content h2 a',
							'rule'     => 'color'
						)
					),
					'slider-post-link-hover'            => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#B02B33'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Title Color on Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#slider #slidemain .slide_content h2 a:hover',
							'rule'     => 'color'
						)
					),
				)
			),
			'color-posts'             => array(
				'panel'   => 'color-scheme',
				'title'   => __( 'Blog Posts', 'wpzoom' ),
				'options' => array(
					'color-post-title'           => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#171615'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Title', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#main .homepage-widgets .homecat ul li h3 a, .recent-posts .entry-title a, h1.entry-title',
							'rule'     => 'color'
						)
					),
					'color-post-title-hover'     => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#b28645'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Title Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#main .homepage-widgets .homecat ul li h3 a:hover, .recent-posts .entry-title a:hover',
							'rule'     => 'color'
						)
					),
					'color-post-meta'            => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#171615'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Meta', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.entry-meta, .post-meta .entry-date, .post-meta',
							'rule'     => 'color'
						)
					),
					'color-post-meta-link'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#b28645'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Meta Link', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.entry-meta a',
							'rule'     => 'color'
						)
					),
					'color-post-meta-link-hover' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#111111'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Meta Link Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.entry-meta a:hover',
							'rule'     => 'color'
						)
					),
					'color-post-category' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#111111'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Category', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.cat-links a',
							'rule'     => 'color'
						)
					),
					'color-post-category-hover' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#111111'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Category Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.cat-links a:hover',
							'rule'     => 'color'
						)
					)
				)
			),
			'color-single'            => array(
				'panel'   => 'color-scheme',
				'title'   => __( 'Individual Posts and Pages', 'wpzoom' ),
				'options' => array(
					'color-single-title'      => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#17161A'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post/Page Title', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.page h1.entry-title, .single h1.entry-title',
							'rule'     => 'color'
						)
					),
					'color-single-meta'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#171615'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Meta', 'wpzoom' ),
						),
						'style'   => array(
							'id'       => 'color-single-meta',
							'selector' => '.single .post-meta',
							'rule'     => 'color'
						)
					),
					'color-single-meta-date'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#171615'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post Meta Date', 'wpzoom' ),
						),
						'style'   => array(
							array(
								'id'       => 'color-single-meta',
								'selector' => '.single .post-meta .entry-date',
								'rule'     => 'color'
							),
							array(
								'id'       => 'color-single-meta',
								'selector' => '.single .post-meta .entry-date',
								'rule'     => 'border-color'
							)
						)
					),
					'color-single-content'    => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#171615'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Post/Page Text Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.entry-content',
							'rule'     => 'color'
						)
					),
					'color-single-link'       => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#B2863F'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Links Color in Posts', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.entry-content a',
							'rule'     => 'color'
						)
					),
					'color-single-link-hover' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#111111'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Links Color on Hover in Posts', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.entry-content a:hover',
							'rule'     => 'color'
						)
					),

				)
			),
			'color-widgets'           => array(
				'panel'   => 'color-scheme',
				'title'   => __( 'Widgets', 'wpzoom' ),
				'options' => array(
					'color-widget-title' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Widget Title', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '.widget h3.title, .widget .tabbernav .tabberactive a, .widget .tabbernav li a:hover',
							'rule'     => 'color'
						)
					),
				)
			),
			'color-footer'            => array(
				'panel'   => 'color-scheme',
				'title'   => __( 'Footer', 'wpzoom' ),
				'options' => array(
					'color-footer-background' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#093969'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Footer Background', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#footer',
							'rule'     => 'background-color'
						)
					),
					'color-footer-text' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#efefef'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Footer Text Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#footer',
							'rule'     => 'color'
						)
					),
					'color-footer-link' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#849cb4'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Footer Link Color', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#footer a',
							'rule'     => 'color'
						)
					),
					'color-footer-link-hover' => array(
						'setting' => array(
							'sanitize_callback' => 'maybe_hash_hex_color',
							'transport'         => 'postMessage',
							'default'           => '#ffffff'
						),
						'control' => array(
							'control_type' => 'WP_Customize_Color_Control',
							'label'        => __( 'Footer Link Color on Hover', 'wpzoom' ),
						),
						'style'   => array(
							'selector' => '#footer a:hover',
							'rule'     => 'color'
						)
					),
				)
			),
			/**
			 *  Typography
			 */
			'font-site-body'          => array(
				'panel'   => 'typography',
				'title'   => __( 'Body', 'wpzoom' ),
				'options' => array(
					'body' => array(
						'type'     => 'typography',
						'selector' => 'body, .footer-widgets .column, .site-info',
						'rules'    => array(
							'font-family' => 'Merriweather',
							'font-size'   => 14,
							'font-weight' => 'normal',
							'font-style'  => 'normal'
						)
					)
				)
			),
			'font-site-title'         => array(
				'panel'   => 'typography',
				'title'   => __( 'Site Title', 'wpzoom' ),
				'options' => array(
					'title' => array(
						'type'     => 'typography',
						'selector' => '.navbar-brand h1 a, .navbar-brand h1',
						'rules'    => array(
							'font-family'    => 'Playfair Display',
							'font-size'      => 64,
							'font-weight'    => 'bold',
							'text-transform' => 'uppercase',
							'font-style'     => 'normal'
						)
					)
				)
			),
			'font-nav-top'            => array(
				'panel'   => 'typography',
				'title'   => __( 'Top Menu Links', 'wpzoom' ),
				'options' => array(
					'topmenu' => array(
						'type'     => 'typography',
						'selector' => '.top-navbar a',
						'rules'    => array(
							'font-family'    => 'Montserrat',
							'font-size'      => 14,
							'font-weight'    => 'normal',
							'text-transform' => 'none',
							'font-style'     => 'normal'
						)
					)
				)
			),
			'font-nav-main'           => array(
				'panel'   => 'typography',
				'title'   => __( 'Main Menu Links', 'wpzoom' ),
				'options' => array(
					'mainmenu' => array(
						'type'     => 'typography',
						'selector' => '#navbar-main a',
						'rules'    => array(
							'font-family'    => 'Montserrat',
							'font-size'      => 16,
							'font-weight'    => 'bold',
							'text-transform' => 'none',
							'font-style'     => 'normal'
						)
					)
				)
			),
			'font-slider'             => array(
				'panel'   => 'typography',
				'title'   => __( 'Homepage Slider Title', 'wpzoom' ),
				'options' => array(
					'slider-title' => array(
						'type'     => 'typography',
						'selector' => '#slider #slidemain .slide_content h2, #slider #slidemain .slide_content h2 a',
						'rules'    => array(
							'font-family'    => 'Merriweather',
							'font-size'      => 28,
							'font-weight'    => 'bold',
							'text-transform' => 'none',
							'font-style'     => 'normal'
						)
					)
				)
			),
			'font-slider-description' => array(
				'panel'   => 'typography',
				'title'   => __( 'Homepage Slider Description', 'wpzoom' ),
				'options' => array(
					'slider-text' => array(
						'type'     => 'typography',
						'selector' => '#slider #slidemain .slide_content p',
						'rules'    => array(
							'font-family'    => 'Merriweather',
							'font-size'      => 14,
							'font-weight'    => 'normal',
							'text-transform' => 'none',
							'font-style'     => 'normal'
						)
					)
				)
			),
			'font-widgets-others'     => array(
				'panel'   => 'typography',
				'title'   => __( 'Widget Title', 'wpzoom' ),
				'options' => array(
					'widget-title' => array(
						'type'     => 'typography',
						'selector' => '.widget h3.title',
						'rules'    => array(
							'font-family'    => 'Roboto Condensed',
							'font-size'      => 20,
							'font-weight'    => 'bold',
							'text-transform' => 'none',
							'font-style'     => 'none'
						)
					)
				)
			),
			'font-post-title'         => array(
				'panel'   => 'typography',
				'title'   => __( 'Blog Posts Title', 'wpzoom' ),
				'options' => array(
					'blog-title' => array(
						'type'     => 'typography',
						'selector' => '.entry-title, .entry-title a',
						'rules'    => array(
							'font-family'    => 'Merriweather',
							'font-size'      => 22,
							'font-weight'    => 'bold',
							'text-transform' => 'none',
							'font-style'     => 'normal'
						)
					)
				)
			),
			'font-single-post-title'  => array(
				'panel'   => 'typography',
				'title'   => __( 'Single Post Title', 'wpzoom' ),
				'options' => array(
					'post-title' => array(
						'type'     => 'typography',
						'selector' => '.single h1.entry-title',
						'rules'    => array(
							'font-family'    => 'Merriweather',
							'font-size'      => 42,
							'font-weight'    => 'bold',
							'text-transform' => 'none',
							'font-style'     => 'normal'
						)
					)
				)
			),
			'font-page-title'         => array(
				'panel'   => 'typography',
				'title'   => __( 'Single Page Title', 'wpzoom' ),
				'options' => array(
					'page-title' => array(
						'type'     => 'typography',
						'selector' => '.page h1.entry-title',
						'rules'    => array(
							'font-family'    => 'Merriweather',
							'font-size'      => 42,
							'font-weight'    => 'bold',
							'text-transform' => 'none',
							'font-style'     => 'normal'
						)
					)
				)
			),
			'footer-area'             => array(
				'title'   => __( 'Footer', 'wpzoom' ),
				'options' => array(
					'footer-widget-areas' => array(
						'setting' => array(
							'default'           => '3',
							'sanitize_callback' => 'sanitize_text_field',
							'transport'         => 'refresh'
						),
						'control' => array(
							'type'    => 'select',
							'label'   => __( 'Number of Widget Areas', 'wpzoom' ),
							'choices' => array( '0', '1', '2', '3', '4' ),
						)
					),
					'footer-hide-logo' => array(
						'setting' => array(
							'sanitize_callback' => 'sanitize_text_field',
							'default'           => 'block'
						),
						'control' => array(
							'label' => __( 'Show Site Title in Footer', 'wpzoom' ),
							'type'  => 'checkbox',
						),
						'style'   => array(
							'selector' => '#footer .footer-logo',
							'rule'     => 'display'
						)
					),

					'blogcopyright'       => array(
						'setting' => array(
							'sanitize_callback' => 'sanitize_text_field',
							'default'           => get_option( 'blogcopyright', sprintf( __( 'Copyright &copy; %1$s &mdash; %2$s. All Rights Reserved', 'wpzoom' ), date( 'Y' ), get_bloginfo( 'name' ) ) ),
							'transport'         => 'postMessage',
							'type'              => 'option'
						),
						'control' => array(
							'label'    => __( 'Footer Text', 'wpzoom' ),
							'type'     => 'text',
							'priority' => 10
						),
						'partial' => array(
							'selector'            => '.footer-info .copyright',
							'container_inclusive' => false,
							'render_callback'     => 'zoom_customizer_partial_blogcopyright'
						)

					)
				)
			)
		);

		zoom_customizer_normalize_options( $data );
	}


	return $data;
}

add_filter( 'wpzoom_customizer_data', 'tribune_customizer_data' );