<?php

/*------------------------------------------*/
/* WPZOOM: Featured Category widget			*/
/*------------------------------------------*/

$wpzoomColors = array();
$wpzoomColors['blue'] = 'Blue';
$wpzoomColors['red'] = 'Red';
$wpzoomColors['green'] = 'Green';
$wpzoomColors['black'] = 'Black';


class wpzoom_widget_category extends WP_Widget {

	public $defaults = array( 'title1' => '', 'category1' => '', 'color1' => 'blue', 'posts1' => 3, 'excerpt_length' => 130, 'exclude_featured' => '' );
	/* Widget setup. */
	function __construct() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'wpzoom', 'description' => __('Featured Category Widget for Homepage', 'wpzoom') );

		/* Widget control settings. */
		$control_ops = array( 'id_base' => 'wpzoom-widget-cat' );

		/* Create the widget. */
		parent::__construct( 'wpzoom-widget-cat', __('WPZOOM: Featured Category', 'wpzoom'), $widget_ops, $control_ops );
	}

	/* How to display the widget on the screen. */
	function widget( $args, $instance ) {
		extract( $args );

		$instance = wp_parse_args($instance, $this->defaults);
		/* Our variables from the widget settings. */
		$title1 = apply_filters('widget_title', $instance['title1'] );
 		$color1 = $instance['color1'];
 		$posts1 = $instance['posts1'];
        $category = $instance['category1'];

        $excerpt_length = $instance['excerpt_length'];
        $exclude_featured   = $instance['exclude_featured'];

		/* Before widget (defined by themes). */
		//echo $before_widget;


        if ($category) {
            $categoryLink1 = get_category_link($category);
        } else {
            $categoryLink1 = '#';
        }



  		$z = 0;
		while ($z < 1)
		{
		  $z++;

		  $color = "color$z";
		  $categoryLink = "categoryLink$z";
		  $title = "title$z";
		  $posts = "posts$z";
		  $category = $instance["category$z"];
?>
	    <?php

            echo '<div class="homecat '.$$color.'">';

            if ( $$title ) {	echo '<h4><a href="'.$$categoryLink.'">'.$$title.'</a></h4>'; } ?>

        	<ul class="featured-stories">

			<?php


                $args = array(
                    'cat'       => $category,
                    'showposts' => $$posts,
                    'orderby'   => 'date',
                    'order'     => 'DESC'
                );

                if ( $exclude_featured == 'on' ) {
                    $args['meta_query'] = array(
                        'relation' => 'OR',
                        array(
                            'key'     => 'wpzoom_is_featured',
                            'value'   => 1,
                            'compare' => '!='
                        ),
                        array(
                            'key'     => 'wpzoom_is_featured',
                            'compare' => 'NOT EXISTS'
                        )
                    );
                }

                $second_query = new WP_Query( $args );

              $i = 0;
              if ( $second_query->have_posts() ) : while( $second_query->have_posts() ) : $second_query->the_post();

              $i++;
              global $post;

           	?>
            <li>
				<?php get_the_image( array( 'size' => 'featured-cat', 'width' => 256, 'height' => 167, 'before' => '<div class="post-thumb">', 'after' => '</div>' ) ); ?>

				<h3><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>

				<span class="featured-date"><?php echo get_the_date(); ?></span>


				<?php $the_excerpt = get_the_excerpt();

					// cut to character limit
					$the_excerpt = substr( $the_excerpt, 0, $excerpt_length );

					// cut to last space
					$the_excerpt = substr( $the_excerpt, 0, strrpos( $the_excerpt, ' '));

					echo '<div class="post-excerpt">' . $the_excerpt . ' [...]</div>';
				?>

 			</li>


 			<?php endwhile; ?>
 			<?php endif; ?>

		</ul>


 		<ul class="stories">

			<?php

            $args = array(
                'cat'       => $category,
                'showposts' => 3,
                'offset' => $$posts,
                'orderby'   => 'date',
                'order'     => 'DESC'
            );

            if ( $exclude_featured == 'on' ) {
                $args['meta_query'] = array(
                    'relation' => 'OR',
                    array(
                        'key'     => 'wpzoom_is_featured',
                        'value'   => 1,
                        'compare' => '!='
                    ),
                    array(
                        'key'     => 'wpzoom_is_featured',
                        'compare' => 'NOT EXISTS'
                    )
                );
            }


			$slidepost = new WP_Query( $args );

			while ( $slidepost->have_posts() ) {
				$slidepost->the_post();
				?><li><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></li><?php
			}
			?>

		</ul>


		<?php echo '<a href="'.$$categoryLink.'">'; _e('More in this category &raquo;', 'wpzoom'); echo '</a>'; ?>


		</div>

<?php

    } // while
    echo ' <!-- end .featCategory -->';
		/* After widget (defined by themes). */
		//echo $after_widget;
		wp_reset_query();
	}

	/* Update the widget settings.*/
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title1'] = strip_tags( $new_instance['title1'] );
 		$instance['category1'] = $new_instance['category1'];
		$instance['color1'] = $new_instance['color1'];
		$instance['posts1'] = $new_instance['posts1'];
        $instance['excerpt_length'] = $new_instance['excerpt_length'];
        $instance['exclude_featured'] = (bool) $new_instance['exclude_featured'];

		return $instance;
	}

	/** Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function when creating your form elements. This handles the confusing stuff. */
	function form( $instance ) {

		/* Set up some default widget settings. */
		$instance = wp_parse_args( (array) $instance, $this->defaults );
		global $wpzoomColors;
    ?>

 		<p>
			<label for="<?php echo $this->get_field_id( 'title1' ); ?>"><?php _e('Category Title:', 'wpzoom'); ?></label>
			<input  type="text" class="widefat" id="<?php echo $this->get_field_id( 'title1' ); ?>" name="<?php echo $this->get_field_name( 'title1' ); ?>" value="<?php echo $instance['title1']; ?>"   />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('color1'); ?>"><?php _e('Title Color:', 'wpzoom'); ?></label>
			<select id="<?php echo $this->get_field_id('color1'); ?>" name="<?php echo $this->get_field_name('color1'); ?>" style="width:90%;">
			<?php
				foreach ($wpzoomColors as $key => $value) {
				$option = '<option value="'.$key;
				if ($key == $instance['color1']) { $option .='" selected="selected';}
				$option .= '">';
				$option .= $value;
				$option .= '</option>';
				echo $option;
				}
			?>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('category1'); ?>"><?php _e('Category:', 'wpzoom'); ?></label>
			<select id="<?php echo $this->get_field_id('category1'); ?>" name="<?php echo $this->get_field_name('category1'); ?>" style="width:90%;">
				<option value="0">Choose category:</option>
				<?php
				$cats = get_categories('hide_empty=0');

				foreach ($cats as $cat) {
				$option = '<option value="'.$cat->term_id;
				if ($cat->term_id == $instance['category1']) { $option .='" selected="selected';}
				$option .= '">';
				$option .= $cat->cat_name;
				$option .= ' ('.$cat->category_count.')';
				$option .= '</option>';
				echo $option;
				}
			?>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('posts1'); ?>"><?php _e('Posts to show:', 'wpzoom'); ?></label>
			<select id="<?php echo $this->get_field_id('posts1'); ?>" name="<?php echo $this->get_field_name('posts1'); ?>" style="width:90%;">
			<?php
				$m = 0;
				while ($m < 11) {
				$m++;
				$option = '<option value="'.$m;
				if ($m == $instance['posts1']) { $option .='" selected="selected';}
				$option .= '">';
				$option .= $m;
				$option .= '</option>';
				echo $option;
				}
			?>
			</select>
		</p>

        <p>
            <label for="<?php echo $this->get_field_id( 'excerpt_length' ); ?>"><?php _e('Excerpt character limit:', 'wpzoom'); ?></label>
            <input id="<?php echo $this->get_field_id( 'excerpt_length' ); ?>" name="<?php echo $this->get_field_name( 'excerpt_length' ); ?>" value="<?php echo $instance['excerpt_length']; ?>" type="text" size="4" />
        </p>

        <p>
            <input class="checkbox" type="checkbox" id="<?php echo $this->get_field_id('exclude_featured'); ?>" name="<?php echo $this->get_field_name('exclude_featured'); ?>" <?php if ($instance['exclude_featured'] == 'on') { echo ' checked="checked"';  } ?> />
            <label for="<?php echo $this->get_field_id('exclude_featured'); ?>"><?php _e('Exclude Featured Posts from Widget', 'wpzoom'); ?></label>
            <br/>
        </p>


	<?php
	}
}

function wpzoom_register_category_widget() {
	register_widget('wpzoom_widget_category');
}
add_action('widgets_init', 'wpzoom_register_category_widget');
?>