<?php

function tribune_option_defaults() {
    $defaults = array(
        /**
         * General
         */
        // Site Title & Tagline
        'hide-tagline'                        => 0,
        // Header
        'navbar-hide-date'                    => 0,
        'navbar-hide-search'                  => 0,
        // Logo
        'logo'                                => '',
        'logo-retina-ready'                   => 0,
        'logo-favicon'                        => 0,

        /**
         * Typography
         */
        // Body
        'font-family-site-body'               => 'Merriweather',
        'font-size-site-body'                 => 14,
        // Paragraph
        'font-family-site-paragraph'          => 'Merriweather',
        'font-size-site-paragraph'            => 14,
        // Site Title & Tag Line
        'font-family-site-title'              => 'Playfair Display',
        'font-size-site-title'                => 64,
        // Top Navigation
        'font-family-nav-top'                 => 'Montserrat',
        'font-size-nav-top'                   => 14,
        // Main Navigation
        'font-family-nav'                     => 'Montserrat',
        'font-size-nav'                       => 16,
        // Slider Title
        'font-family-slider-title'            => 'Merriweather',
        'font-size-slider-title'              => 28,
        // Widgets
        'font-family-widgets'                 => 'Roboto Condensed',
        'font-size-widgets'                   => 20,
        // Post Title
        'font-family-post-title'              => 'Merriweather',
        'font-size-post-title'                => 22,
        // Single Post Title
        'font-family-single-post-title'       => 'Merriweather',
        'font-size-single-post-title'         => 42,
        // Page Title
        'font-family-page-title'              => 'Merriweather',
        'font-size-page-title'                => 42,

        /**
         * Color Scheme
         */
        // General
        'color-body-text'                     => '#252324',
        'color-logo'                          => '#222222',
        'color-link'                          => '#093969',
        'color-link-hover'                    => '#B02B33',
        // Top Menu
        'color-top-menu-link'                 => '#222222',
        'color-top-menu-link-hover'           => '#B02B33',
        'color-top-menu-link-current'         => '#B02B33',
        // Menu
        'color-menu-background'               => '#093969',
        'color-menu-link'                     => '#ffffff',
        'color-menu-link-hover'               => '#849cb4',
        'color-menu-link-current'             => '#ffffff',
        // Breaking News
        'breaking-background'                 => '#fcfbe3',
        'breaking-border'                     => '#d7d1bc',
        'breaking-date'                       => '#B02B33',
        'breaking-date-text'                  => '#ffffff',
        'breaking-link'                       => '#534a37',
        'breaking-link-hover'                 => '#B02B33',
        // Slider
        'slider-navigator'                    => '#B02B33',
        'slider-post-link'                    => '#222222',
        'slider-post-link-hover'              => '#B02B33',
        // Post
        'color-post-title'                    => '#171615',
        'color-post-title-hover'              => '#b28645',
        'color-post-category'                 => '#B02B33',
        'color-post-category-hover'           => '#222222',
        'color-post-meta'                     => '#999999',
        'color-post-meta-link'                => '#444444',
        'color-post-meta-link-hover'          => '#D31515',
        // Widgets
        'color-widget-title'                  => '#B02B33',
        // Footer
        'color-footer-background'             => '#093969',
        'color-footer-text'                   => '#efefef',
        'color-footer-link'                   => '#849cb4',
        'color-footer-link-hover'             => '#ffffff',
        // Buttons
        'color-button-background'             => '#B02B33',
        'color-button-color'                  => '#ffffff',
        'color-button-background-hover'       => '#222222',
        'color-button-color-hover'            => '#ffffff',

        /**
         * Footer
         */
        // Widget Areas
        'footer-widget-areas'                 => 4,
        // Site Title
        'footer-hide-logo'                    => 0,
        // Copyright
        'footer-text'                         => sprintf( __( 'Copyright &copy; %1$s &mdash; %2$s.', 'wpzoom' ), date( 'Y' ), get_bloginfo( 'name' ) ),
    );

    return $defaults;
}

function tribune_get_default( $option ) {
    $defaults = tribune_option_defaults();
    $default  = ( isset( $defaults[ $option ] ) ) ? $defaults[ $option ] : false;

    return $default;
}
