<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

    <?php wp_head(); ?>

    <?php if (option::get('sidebar_pos') == 'Left') { ?><style type="text/css">#sidebar{float:left;} #main {float:right;}</style><?php } ?>

</head>
<body <?php body_class(); ?>>

<div class="site-wrap">

    <div class="page-wrap">

    	<header id="header">

            <nav class="navbar" role="navigation">

                <nav class="top-navbar" role="navigation">


                    <div class="header_social">
                        <?php dynamic_sidebar('header'); ?>

                    </div>


                    <div class="navbar-header">
                        <?php if ( has_nav_menu( 'secondary' ) ) { ?>

                           <a class="navbar-toggle" href="#menu-top-slide">
                               <span class="icon-bar"></span>
                               <span class="icon-bar"></span>
                               <span class="icon-bar"></span>
                           </a>


                           <?php wp_nav_menu( array(
                               'container_id'   => 'menu-top-slide',
                               'theme_location' => 'secondary'
                           ) );
                       }  ?>

                    </div>


                    <div id="navbar-top">

                        <?php if (has_nav_menu( 'secondary' )) {
                            wp_nav_menu( array(
                                'menu_class'     => 'nav navbar-nav dropdown sf-menu',
                                'theme_location' => 'secondary'
                            ) );
                        } ?>


                    </div><!-- #navbar-top -->


                </nav><!-- .navbar -->

                <div class="clear"></div>

            </nav><!-- .navbar -->



            <div id="header-inner">


                <div class="navbar-brand<?php if (option::is_on('ad_head_select')) { ?> left-align<?php } ?>">
                    <?php if ( ! tribune_has_logo() ) echo '<h1>'; ?>

                        <a href="<?php echo home_url(); ?>" title="<?php bloginfo( 'description' ); ?>">

                            <?php
                            if ( tribune_has_logo() ) {
                                tribune_logo();
                            } else {
                                bloginfo( 'name' );
                            }
                            ?>

                        </a>

                    <?php if ( ! tribune_has_logo() ) echo '</h1>'; ?>

                    <?php
                        $hide_tagline = (int) get_theme_mod( 'hide-tagline', tribune_get_default( 'hide-tagline' ) );
                    ?>

                    <?php if ( ! get_theme_mod( 'hide-tagline' ) ) : ?>
                        <span class="tagline"><?php bloginfo( 'description' ); ?></span>
                    <?php endif; ?>


                    <?php if ( ! get_theme_mod( 'navbar-hide-date', tribune_get_default( 'navbar-hide-date' ) ) ) : ?>
                        <span class="header_date"><?php echo date( __( 'l, F j, Y', 'wpzoom' ) ); ?></span>
                    <?php endif; ?>

                </div><!-- .navbar-brand -->


                <?php if (option::is_on('ad_head_select')) { ?>

                        <div id="head_banner">

                            <?php if ( option::get('ad_head_code') <> "" ) {
                                echo stripslashes(option::get('ad_head_code'));
                            } else {
                                ?><a href="<?php echo option::get('ad_head_imgurl'); ?>"><img src="<?php echo option::get('ad_head_imgpath'); ?>" alt="<?php echo option::get('ad_head_imgalt'); ?>" /></a><?php
                            } ?>

                        </div>

                    <?php }
                ?>

    			<div class="clear"></div>

            </div><!-- /#header-inner -->


    		<nav class="navbar" role="navigation">

                <nav class="main-navbar" role="navigation">


                    <?php if ( ! get_theme_mod( 'navbar-hide-search', tribune_get_default( 'navbar-hide-search' ) ) ) : ?>

                        <div id="sb-search" class="sb-search">
                            <?php get_search_form(); ?>
                        </div>

                    <?php endif; ?>

                    <div class="navbar-header">
                        <?php if ( has_nav_menu( 'primary' ) ) { ?>

                           <a class="navbar-toggle" href="#menu-main-slide">
                                <span class="toggle-bars">
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                </span>
                                <span class="toggle-text"><?php _e('Menu', 'wpzoom'); ?></span>
                           </a>


                           <?php wp_nav_menu( array(
                               'container_id'   => 'menu-main-slide',
                               'theme_location' => 'primary'
                           ) );
                       }  ?>

                    </div>


                    <div id="navbar-main">

                        <?php if (has_nav_menu( 'primary' )) {
                            wp_nav_menu( array(
                                'menu_class'     => 'nav navbar-nav dropdown sf-menu',
                                'theme_location' => 'primary'
                            ) );
                        } ?>


                    </div><!-- #navbar-main -->


                    <div class="clear"></div>

                </nav><!-- .main-navbar -->

            </nav><!-- .navbar -->

    		<div class="clear"></div>

    	</header><!-- /#header -->